com.google.appengine.tools.development.testing

## Class LocalAppIdentityServiceTestConfig

- java.lang.Object
- - com.google.appengine.tools.development.testing.LocalAppIdentityServiceTestConfig

- All Implemented Interfaces:
    LocalServiceTestConfig

      public class LocalAppIdentityServiceTestConfig
      extends java.lang.Object
      implements LocalServiceTestConfig

  Config for accessing the local app identity service in tests.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalAppIdentityServiceTestConfig()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LocalAppIdentityService` | `getLocalSecretsService()`
    `LocalAppIdentityServiceTestConfig` | `setDefaultGcsBucketName(java.lang.String defaultGcsBucketName)`
    `void` | `setUp()` Set up the local service.
    `void` | `tearDown()` Tear down the local service.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LocalAppIdentityServiceTestConfig

          public LocalAppIdentityServiceTestConfig()

  - ### Method Detail

    - #### setUp

          public void setUp()

      Description copied from interface: `LocalServiceTestConfig`
      Set up the local service.
      Specified by:
        `setUp` in interface `LocalServiceTestConfig`

    - #### tearDown

          public void tearDown()

      Description copied from interface: `LocalServiceTestConfig`
      Tear down the local service.
      Specified by:
        `tearDown` in interface `LocalServiceTestConfig`

    - #### getLocalSecretsService

          public static LocalAppIdentityService getLocalSecretsService()

    - #### setDefaultGcsBucketName

          public LocalAppIdentityServiceTestConfig setDefaultGcsBucketName(java.lang.String defaultGcsBucketName)